devel/p5-Devel-CallChecker - The NetBSD Packages Collection

Custom op checking attached to subroutines

This module makes some new features of the Perl 5.14.0 C API available
to XS modules running on older versions of Perl. The features are
centred around the function cv_set_call_checker, which allows XS code
to attach a magical annotation to a Perl subroutine, resulting in
resolvable calls to that subroutine being mutated at compile time by
arbitrary C code. This module makes cv_set_call_checker and several
supporting functions available. (It is possible to achieve the effect
of cv_set_call_checker from XS code on much earlier Perl versions, but
it is painful to achieve without the centralised facility.)

This module provides the implementation of the functions at runtime
(on Perls where they are not provided by the core). It also, at
compile time, supplies the C header file and link library which
provide access to the functions. In normal use, "callchecker0_h" and
"callchecker_linkable" should be called at build time (not authoring
time) for the mo

Build dependencies

devel/p5-Module-Build pkgtools/cwrappers

Runtime dependencies

lang/perl5 lang/perl5

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfp5-Devel-CallChecker-0.008nb1.tgz
NetBSD 8.0earmv7hfp5-Devel-CallChecker-0.008nb1.tgz
NetBSD 8.0earmv7hfp5-Devel-CallChecker-0.008nb1.tgz
NetBSD 8.0i386p5-Devel-CallChecker-0.008nb1.tgz
NetBSD 8.0i386p5-Devel-CallChecker-0.008nb1.tgz
NetBSD 8.0i386p5-Devel-CallChecker-0.008nb1.tgz
NetBSD 8.0powerpcp5-Devel-CallChecker-0.008nb1.tgz
NetBSD 8.0powerpcp5-Devel-CallChecker-0.008nb1.tgz
NetBSD 8.0powerpcp5-Devel-CallChecker-0.008nb1.tgz
NetBSD 8.0x86_64p5-Devel-CallChecker-0.008nb1.tgz
NetBSD 8.0x86_64p5-Devel-CallChecker-0.008nb1.tgz
NetBSD 8.0x86_64p5-Devel-CallChecker-0.008nb1.tgz
NetBSD 9.0aarch64p5-Devel-CallChecker-0.008nb1.tgz
NetBSD 9.0aarch64p5-Devel-CallChecker-0.008nb1.tgz
NetBSD 9.0aarch64p5-Devel-CallChecker-0.008nb1.tgz
NetBSD 9.0alphap5-Devel-CallChecker-0.008nb1.tgz
NetBSD 9.0alphap5-Devel-CallChecker-0.008nb1.tgz
NetBSD 9.0alphap5-Devel-CallChecker-0.008nb1.tgz
NetBSD 9.0earmp5-Devel-CallChecker-0.008nb1.tgz
NetBSD 9.0earmv6hfp5-Devel-CallChecker-0.008nb1.tgz
NetBSD 9.0earmv6hfp5-Devel-CallChecker-0.008nb1.tgz
NetBSD 9.0earmv6hfp5-Devel-CallChecker-0.008nb1.tgz
NetBSD 9.0earmv6hfp5-Devel-CallChecker-0.008nb1.tgz
NetBSD 9.0earmv7hfp5-Devel-CallChecker-0.008nb1.tgz
NetBSD 9.0earmv7hfp5-Devel-CallChecker-0.008nb1.tgz
NetBSD 9.0earmv7hfp5-Devel-CallChecker-0.008nb1.tgz
NetBSD 9.0earmv7hfp5-Devel-CallChecker-0.008nb1.tgz
NetBSD 9.0earmv7hfp5-Devel-CallChecker-0.008nb1.tgz
NetBSD 9.0i386p5-Devel-CallChecker-0.008nb1.tgz
NetBSD 9.0i386p5-Devel-CallChecker-0.008nb1.tgz
NetBSD 9.0i386p5-Devel-CallChecker-0.008nb1.tgz
NetBSD 9.0mips64ebp5-Devel-CallChecker-0.008nb1.tgz
NetBSD 9.0mips64ebp5-Devel-CallChecker-0.008nb1.tgz
NetBSD 9.0mips64ebp5-Devel-CallChecker-0.008nb1.tgz
NetBSD 9.0powerpcp5-Devel-CallChecker-0.008nb1.tgz
NetBSD 9.0powerpcp5-Devel-CallChecker-0.008nb1.tgz
NetBSD 9.0powerpcp5-Devel-CallChecker-0.008nb1.tgz
NetBSD 9.0sparc64p5-Devel-CallChecker-0.008nb1.tgz
NetBSD 9.0sparc64p5-Devel-CallChecker-0.008.tgz
NetBSD 9.0sparc64p5-Devel-CallChecker-0.008nb1.tgz
NetBSD 9.0sparc64p5-Devel-CallChecker-0.008nb1.tgz
NetBSD 9.0sparcp5-Devel-CallChecker-0.008nb1.tgz
NetBSD 9.0sparcp5-Devel-CallChecker-0.008nb1.tgz
NetBSD 9.0sparcp5-Devel-CallChecker-0.008nb1.tgz
NetBSD 9.0x86_64p5-Devel-CallChecker-0.008nb1.tgz
NetBSD 9.0x86_64p5-Devel-CallChecker-0.008nb1.tgz
NetBSD 9.0x86_64p5-Devel-CallChecker-0.008nb1.tgz
NetBSD 9.0x86_64p5-Devel-CallChecker-0.008nb1.tgz
NetBSD 9.0x86_64p5-Devel-CallChecker-0.008nb1.tgz
NetBSD 9.0x86_64p5-Devel-CallChecker-0.008nb1.tgz
NetBSD 9.0x86_64p5-Devel-CallChecker-0.008nb1.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.